none
I cant install the .NET Framework 4.6.1 RRS feed

  • Question

  • Final Result: Installation failed with error code: (0x80070641) 

    This is what I am dealing with while installing this framwork 4.6.1 Please i need help as fast as possible thanks.

    Tuesday, November 27, 2018 9:54 PM

All replies

  • Hi Cherif93,

    Welcome to the MSDN forum.

    Have you installed any higher .NET version on your PC before?

    As I know, The 4.x versions of the .NET Framework are in-place updates, you cannot install an earlier version of the .NET Framework 4.x on a system that already has a later version installed. For example, on a system with Windows 10 Fall Creators Update, you cannot install the .NET Framework 4.6.2, since the .NET Framework 4.7.1 is preinstalled with the operating system. You can check this Docs: https://docs.microsoft.com/en-us/dotnet/framework/migration-guide/how-to-determine-which-versions-are-installed#to-find-net-framework-versions-by-viewing-the-registry-net-framework-45-and-later to confirm which .NET Framework versions are installed.

    Meanwhile, I recommend you to visit Microsoft Update, scan your computer for available updates, and install any high-priority updates that are offered to you. Then run  the .NET Framework Repair Toolto repair your .NET.

    If the issue still persists, please help me to collect installation log. Please use  the Microsoft Visual Studio and .NET Framework Log Collection Tool to gather the installation logs. After using it, you will find vslogs.zip under %temp% folder. Please upload the file to https://onedrive.live.com/ and share the link here.

    Looking forwards your reply.

    Best Regards

    May


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    Wednesday, November 28, 2018 6:14 AM
    Moderator
  • Even with that last version (4.7.1) i have the same problem always with that error code: (0x80070641) 

    I think its hopeless ):

    Wednesday, November 28, 2018 11:07 AM
  • Hi Cherif93,

    May you tell me the reason why did you want to install .NET 4.6.1?

    For example, you create a project that requires to target version of .NET. Or you want to run app that requires .Net 4.6.1?

    You said you met same error in .NET 4.7.1. but the .NET Framework 4.7.x has pre-installed on your Windows 10. Please type ”turn windows feature on or off ” in search box in left corner of windows. Then uncheck and checked “.net 4.7” in the list to test it.

    May


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    Thursday, November 29, 2018 7:30 AM
    Moderator